Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Has anyone successfully gotten HP Quality Center 10.0 installed and running using the as-yet unsupported Microsoft SQL server 2008? Have you hit a specific issue? e.g. any issues with full text search etc.

share|improve this question
add comment

4 Answers

You shouldn't have any problems, unless HP is using commands which aren't supported on SQL 2008 any more, which they probably aren't. All the full text commands should all be the same between SQL 2005 and SQL 2008.

share|improve this answer
    
Thanks for your answer. We could install on 2005 and run the compatibility toolkit and see if it comes up with anything. Have you installed QC 10 on SQL 2008 with no issues? –  BrianP Aug 27 '09 at 15:41
    
I haven't no. I'm coming from a strictly database engine point of view here. –  mrdenny Aug 27 '09 at 21:32
add comment

I have the same issue with HP-UX and Oracle 11, solved setting parameter ALLOW_NON_SUPPORTED_DB_VERSION=Y.

share|improve this answer
    
Thanks! ALLOW_NON_SUPPORTED_DB_VERSION=Y is worked for me. QC 10 (Patch 31) with SQL Server 2008 R2. –  ash Oct 3 '13 at 7:36
add comment

Not sure the correct way to close your own question, but I'll answer this one since it's been a few months since asking and I have real data now. Sorry if this isn't the right protocol.

After getting Quality center installed with a SQL 2008 64bit back-end (this required an install flag to not check the SQL version). No issues encountered logging in and creating domains. Creating projects however triggered a database version check which failed. Logs below. Since I've seen folks report they are using SQL 2008 I'll post a different question to ask how folks got past this since it seems some folks are working fine on 2008. Maybe they are using SQL 2008 32bit or some other combination.

Logs

Messages:
Failed to Create Project;
Failed to create Quality Center project;
DB server 'SQLHOST\SQLINSTANCE' is of unsupported version;
Database minimal supported version is MSSQL 2005 server;

Stack Trace:
com.mercury.optane.core.CTdException: DB server 'SQLHOST\SQLINSTANCE' is of unsupported version;
Database minimal supported version is MSSQL 2005 server
at com.mercury.td.saserver.api.logics.CProjectLogic.assertDbVersionSupported(CProjectLogic.java:6284)
at com.mercury.td.saserver.api.logics.CProjectLogic.createProject(CProjectLogic.java:1857)
    wrapped in com.mercury.optane.core.CTdException: Failed to create Quality Center project
at com.mercury.td.saserver.api.logics.CProjectLogic.createProject(CProjectLogic.java:1945)
at com.mercury.td.saserver.api.logics.CProjectLogic.createProject(CProjectLogic.java:1710)
at com.mercury.td.saserver.requests.CreateProject.execute(CreateProject.java:56)
at com.mercury.optane.core.web.RequestsDispatcher.execute(RequestsDispatcher.java:91)
    wrapped in com.mercury.optane.core.CTdException: Failed to Create Project
at com.mercury.optane.core.web.RequestsDispatcher.execute(RequestsDispatcher.java:98)
at com.mercury.td.web.CAbsServlet.executeFunction(CAbsServlet.java:444)
at com.mercury.td.web.CAbsServlet.processRequest(CAbsServlet.java:436)
at com.mercury.td.web.CAbsServlet.doPost(CAbsServlet.java:332)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:810)
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:252)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:173)
at com.hp.qc.core.utils.gzipfilter.GZIPFilter.doFilter(GZIPFilter.java:30)
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:202)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:173)
at org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:81)
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:202)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:173)
at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:213)
at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:178)
at org.jboss.web.tomcat.security.CustomPrincipalValve.invoke(CustomPrincipalValve.java:39)
at org.jboss.web.tomcat.security.SecurityAssociationValve.invoke(SecurityAssociationValve.java:153)
at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:59)
at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:126)
at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:105)
at org.apache.catalina.valves.FastCommonAccessLogValve.invoke(FastCommonAccessLogValve.java:481)
at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:107)
at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:148)
at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.processConnection(Http11Protocol.java:744)
at org.apache.tomcat.util.net.PoolTcpEndpoint.processSocket(PoolTcpEndpoint.java:527)
at org.apache.tomcat.util.net.MasterSlaveWorkerThread.run(MasterSlaveWorkerThread.java:112)
at java.lang.Thread.run(Thread.java:595)
share|improve this answer
add comment

There are issues if you have server extensions like Service Test Management (STM) or business process Testing Enterprise Extension (BPTEE). See this article for more specifics. http://eyeontesting.com/questions/228/is-quality-center-10-supported-on-sql-2008/229#229

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.